#![no_std]
#![no_main]

extern crate alloc;

pub mod constants;
pub mod entry_points;
mod error;

use alloc::{
    collections::BTreeMap,
    format,
    string::{String, ToString},
    vec,
    vec::Vec,
};

//use casper_contract::contract_api::{self};
use casper_contract::{
    contract_api::{
        runtime::{self, get_caller, get_key, get_named_arg, put_key, revert},
        storage::{self, dictionary_put},
    },
    unwrap_or_revert::UnwrapOrRevert,
};
use casper_types::{
    bytesrepr::ToBytes, contracts::NamedKeys, runtime_args, CLValue, ContractHash,
    ContractPackageHash, Key, RuntimeArgs, U256,
};

#[no_mangle]
pub extern "C" fn name() {
    runtime::ret(CLValue::from_t("hi").unwrap_or_revert());
}

#[no_mangle]
pub extern "C" fn stake_availability() {}

#[no_mangle]
pub extern "C" fn assign_work() {}

#[no_mangle]
pub extern "C" fn get_assigned_work() {}
